OpenStack Compute (Nova)

lxc containers and xen does not support usb tablets.

Reported by Chuck Short on 2012-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Chuck Short

Bug Description

<module 'threading' from '/usr/lib/python2.7/threading.pyc'> ignored
libvir: Domain Config error : internal error xen bus does not support tablet input device
2012-02-18 15:44:24 ERROR nova.compute.manager [-] [instance: 02919a13-100e-455c-81f3-96a606621796] Instance failed to spawn
(nova.compute.manager): TRACE: Traceback (most recent call last):
(nova.compute.manager): TRACE: File "/home/chuck/work/server/openstack/bugs/nova/nova/compute/manager.py", line 587, in _spawn
(nova.compute.manager): TRACE: self._legacy_nw_info(network_info), block_device_info)
(nova.compute.manager): TRACE: File "/home/chuck/work/server/openstack/bugs/nova/nova/exception.py", line 112, in wrapped
(nova.compute.manager): TRACE: return f(*args, **kw)
(nova.compute.manager): TRACE: File "/home/chuck/work/server/openstack/bugs/nova/nova/virt/libvirt/connection.py", line 812, in spawn
(nova.compute.manager): TRACE: domain = self._create_new_domain(xml)
(nova.compute.manager): TRACE: File "/home/chuck/work/server/openstack/bugs/nova/nova/virt/libvirt/connection.py", line 1400, in _create_new_domain
(nova.compute.manager): TRACE: domain = self._conn.defineXML(xml)
(nova.compute.manager): TRACE: File "/usr/lib/python2.7/dist-packages/libvirt.py", line 2209, in defineXML
(nova.compute.manager): TRACE: if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
(nova.compute.manager): TRACE: libvirtError: internal error xen bus does not support tablet input device
(nova.compute.manager): TRACE:
2012-02-18 15:44:24 DEBUG nova.compute.manager [-] [instance: 02919a13-100e-455c-81f3-96a606621796] Deallocating network for instance from (pid=5344) _deallocate_network /home/chuck/work/server/openstack/bugs/nova/nova/compute/manager.py:611

Fix proposed to branch: master
Review: https://review.openstack.org/4298

Changed in nova:
assignee: nobody → Chuck Short (zulcss)
status: New → In Progress

Reviewed: https://review.openstack.org/4298
Committed: http://github.com/openstack/nova/commit/9caffcc9106d9bd67d65fca9157f6273c94fe398
Submitter: Jenkins
Branch: master

commit 9caffcc9106d9bd67d65fca9157f6273c94fe398
Author: Chuck Short <email address hidden>
Date: Sat Feb 18 15:57:26 2012 -0500

    Disable usb tablet support for LXC.

    libvirt does not support usb tablets. Disable it
    if running libvirt-lxc. Fixes bug 935744

    Change-Id: Ic648df4b3a5b66da089c7153971f0e8dd53bacdd
    Signed-off-by: Chuck Short <email address hidden>

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
milestone: none → essex-4
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers